Summary: A multi-threaded FTP client for the X Window System.
Name: gftp
Version: 2.0.14
Epoch: 1
Release: 4
License: GPL
Group: Applications/Internet
Url: http://gftp.seul.org/
Source: %{name}-%{version}.tar.bz2
Patch0: gftp-2.0.11-fix-dir-traversal-issue.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2 >= 2.1.3

%description
gFTP is a multi-threaded FTP client for the X Window System. gFTP
supports simultaneous downloads, resumption of interrupted file
transfers, file transfer queues to allow downloading of multiple
files, support for downloading entire directories/subdirectories, a
bookmarks menu to allow quick connection to FTP sites, caching of
remote directory listings, local and remote chmod, drag and drop, a
connection manager and much more.

Install gftp if you need an FTP client.

%prep
%setup -q
%patch0 -p0 -b .fix-dir-traversal-issue

%build

%ifarch alpha
MIEEE_FLAG="-mieee"
%endif
CFLAGS="$RPM_OPT_FLAGS $MIEEE_FLAG" %configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet

%makeinstall

# Get rid of bogus 'br' translation (pt_BR is included)
rm -rf $RPM_BUILD_ROOT%{prefix}/share/locale/br

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor net --delete-original         \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  --add-category Application                                \
  --add-category Network                                    \
  $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/gftp.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT
 
%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog COPYING* README TODO 
%{_bindir}/gftp
%{_bindir}/gftp-gtk
%{_bindir}/gftp-text
%{_datadir}/gftp
%{_datadir}/pixmaps
%{_datadir}/applications
%{_mandir}/man*/gftp.*

%changelog
* Thu Mar 31 2005 David Zeuthen <davidz@redhat.com> 2.0.14-4
- bump release number

* Thu Mar 31 2005 David Zeuthen <davidz@redhat.com> 2.0.14-3
- fix directory traversal issue, CAN-2005-0372, #149109

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  9 2002 Havoc Pennington <hp@redhat.com>
- 2.0.14
- build req gtk2

* Wed Aug 21 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem where partial translations would lead to completely 
  borked menus (#69782)

* Sun Aug  4 2002 Havoc Pennington <hp@redhat.com>
- s/Internet/Network/ in Categories

* Tue Jul 30 2002 Havoc Pennington <hp@redhat.com>
- move desktop file to /usr/share/applications #69396

* Thu Jul 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix broken .mo files by forcing regeneration (#67217)
- Fix zh_TW.po, again.

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.13

* Mon Jul 15 2002 Owen Taylor <otaylor@redhat.com>
- Upgrade to 2.0.12
- Fix bugs in pofile encoding specification

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- move to Hampton

* Mon Feb 11 2002 Havoc Pennington <hp@redhat.com>
- 2.0.11

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Apr 19 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 2.0.8, fixes a security exploit and a bunch of other
  things, adds a console frontend 

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- don't try to include two non-existing files in %%doc
- move changelog to end of file

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Set Epoch, since upstream versions are not ascending

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- 2.0.7b, should fix outstanding bugs

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- Update to 2.0.7pre3, and build for Winston

* Fri Feb 11 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee on alpha to solve bug #9317

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- gzip man page

* Tue Jan 04 2000 Elliot Lee <sopwith@redhat.com>
- Update to 2.0.6a

* Fri Sep 3 1999 Elliot Lee <sopwith@redhat.com>
- Upgrade to the full 2.0.4 release. (Yes, pre1 fixed that bug.)

* Wed Sep 1 1999 Elliot Lee <sopwith@redhat.com>
- Try 2.0.4pre1 to see if it fixes bug #4700.

* Thu Jul  8 1999 Michael Fulbright <drmike@redhat.com>
- version 2.0.3

* Wed Jul  7 1999 Michael Fulbright <drmike@redhat.com>
- bumped to version 2.0.2

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 1.13

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- patch to fix a segfault reported by Chris Evans <chris@ferret.lmh.ox.ac.uk>

* Tue Feb 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.12

* Wed Feb 10 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file
